BST(1)

NAME
bst - Build and manipulate BuildStream projects

SYNOPSIS
bst [OPTIONS] COMMAND [ARGS]...

DESCRIPTION
Build and manipulate BuildStream projects

    Most of the main options override options in the
    user preferences configuration file.

OPTIONS

--version

-c, --config FILE
    Configuration file to use

-C, --directory DIRECTORY
    Project directory (default: current directory)

--on-error [continue|quit|terminate]
    What to do when an error is encountered

--fetchers INTEGER
    Maximum simultaneous download tasks

--builders INTEGER
    Maximum simultaneous build tasks

--pushers INTEGER
    Maximum simultaneous upload tasks

--max-jobs INTEGER
    Number of parallel jobs allowed for a given build task

--network-retries INTEGER
    Maximum retries for network tasks

--no-interactive
    Force non interactive mode, otherwise this is automatically decided

--verbose / --no-verbose
    Be extra verbose

--debug / --no-debug
    Print debugging output

--error-lines INTEGER
    Maximum number of lines to show from a task log

--message-lines INTEGER
    Maximum number of lines to show in a detailed message

--log-file FILENAME
    A file to store the main log (allows storing the main log while in interactive mode)

--colors / --no-colors
    Force enable/disable ANSI color codes in output

--strict / --no-strict
    Elements must be rebuilt when their dependencies have changed

-o, --option OPTION VALUE
    Specify a project option

--default-mirror TEXT
    The mirror to fetch from first, before attempting other mirrors

--pull-buildtrees
    Include an element's build tree when pulling remote element artifacts

--cache-buildtrees [always|auto|never]
    Cache artifact build tree content on creation

COMMANDS

help
  Print usage information
  See bst-help(1) for full documentation on the help command.

init
  Initialize a new BuildStream project
  See bst-init(1) for full documentation on the init command.

build
  Build elements in a pipeline
  See bst-build(1) for full documentation on the build command.

show
  Show elements in the pipeline
  See bst-show(1) for full documentation on the show command.

shell
  Shell into an element's sandbox environment
  See bst-shell(1) for full documentation on the shell command.

source
  Manipulate sources for an element
  See bst-source(1) for full documentation on the source command.

workspace
  Manipulate developer workspaces
  See bst-workspace(1) for full documentation on the workspace command.

artifact
  Manipulate cached artifacts.
  See bst-artifact(1) for full documentation on the artifact command.